<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Model\Data;

use Pinpoint\CarouselManager\Api\Data\CarouselInterface;

class Carousel extends \Magento\Framework\Api\AbstractExtensibleObject implements CarouselInterface
{

    /**
     * Get carousel_id
     * @return string|null
     */
    public function getCarouselId()
    {
        return $this->_get(self::CAROUSEL_ID);
    }

    /**
     * Set carousel_id
     * @param string $carouselId
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselInterface
     */
    public function setCarouselId($carouselId)
    {
        return $this->setData(self::CAROUSEL_ID, $carouselId);
    }

    /**
     * Get name
     * @return string|null
     */
    public function getName()
    {
        return $this->_get(self::NAME);
    }

    /**
     * Set name
     * @param string $name
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselInterface
     */
    public function setName($name)
    {
        return $this->setData(self::NAME, $name);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\CarouselExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }
}

