<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Model\Data;

use Pinpoint\CarouselManager\Api\Data\SlideCtaInterface;

class SlideCta extends \Magento\Framework\Api\AbstractExtensibleObject implements SlideCtaInterface
{

    /**
     * Get slidecta_id
     * @return string|null
     */
    public function getSlidectaId()
    {
        return $this->_get(self::SLIDECTA_ID);
    }

    /**
     * Set slidecta_id
     * @param string $slidectaId
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaInterface
     */
    public function setSlidectaId($slidectaId)
    {
        return $this->setData(self::SLIDECTA_ID, $slidectaId);
    }

    /**
     * Get text
     * @return string|null
     */
    public function getText()
    {
        return $this->_get(self::TEXT);
    }

    /**
     * Set text
     * @param string $text
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaInterface
     */
    public function setText($text)
    {
        return $this->setData(self::TEXT, $text);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\SlideCtaExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }
}

