
define([
    'Magento_Ui/js/form/components/insert-form',
    'jquery',
], function (Insert, $) {
    'use strict';

    return Insert.extend({
        defaults: {
            listens: {
                responseData: 'onResponse'
            },
            modules: {
                slideFormProvider: '${ $.slideFormProvider }',
            }
        },


        /**
         * Close modal, reload customer address listing and save customer address
         *
         * @param {Object} responseData
         */
        onResponse: function (responseData) {
            var data;
            if (!responseData.error) {
                data = this.externalSource().get('data');
                console.log(data);
//                $('#save_and_continue').click();
                this.slideFormProvider().submit();
            }
        },

        render: function (params) {

            this.slideFormProvider().validate();

            if (!this.slideFormProvider().additionalInvalid && !this.slideFormProvider().source.get('params.invalid')) {
                var self = this,
                    request;

                if (this.isRendered) {
                    return this;
                }

                self.previousParams = params || {};
                if ($('[name="general[carousel_id]"]').length > 0) {
                    self.params['carousel_id'] = $('[name="general[carousel_id]"]').val();
                }

                $.async({
                    component: this.name,
                    ctx: '.' + this.contentSelector
                }, function (el) {
                    self.contentEl = $(el);
                    self.startRender = true;
                    params = _.extend({}, self.params, params || {});
                    request = self.requestData(params, self.renderSettings);
                    request
                        .done(self.onRender)
                        .fail(self.onError);
                });
            } else {
                this.containers[0].closeModal();
                this.slideFormProvider().focusInvalid();
            }

            return this;
        },
    });
});
